Subject: Re: [PATCH 10/10] push: teach push to be quiet if local ref is strict subset of remote ref

From: Wincent Colaiuta <[email-masked]>
Date: Fri, 2 Nov 2007 14:11:35 +0100

El 2/11/2007, a las 13:48, Steffen Prohaska escribió:

> On Nov 2, 2007, at 1:14 PM, Johannes Schindelin wrote:
>
>> On Fri, 2 Nov 2007, Wincent Colaiuta wrote:
>>
>>> Of course, it's too late too change now, but it would be nice if the
>>> mirror of "fetch" were "send". (I know it's been commented in the  
>>> past
>>> that the fact that "push" and "pull" aren't mirror operations has
>>> surprised quite a few people.)
>>
>> Could you please just do
>>
>> 	git config --global alias.send push
>>
>> and be done with it?

(snip)

> The comment was about how to avoid surprises for people that
> are new to git, not how to let long-time users have an alias
> for push.

Exactly. I was talking about the *initial* surprise for new users, not  
for people who already know the difference between push, pull and  
fetch (99% of people reading this list already, myself included).

> The _only_ real solution I see right now, is to stop the
> discussion and leave "git push" as is. I strongly believe that
> the git community in its majority will refuse to rename push;
> though I have no evidence for this.

As I said above, "Of course, it's too late to change now"... I don't  
think it will be renamed either.

Cheers,
Wincent